Bug 8801 - Offer to batch delete items of a bibliographic record
Summary: Offer to batch delete items of a bibliographic record
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Julian Maurice
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-21 13:22 UTC by Julian Maurice
Modified: 2013-12-05 20:01 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8801: Add menu entry to delete items in batch (4.11 KB, patch)
2012-09-21 13:24 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8801: Add menu entry to delete items in batch (4.19 KB, patch)
2012-09-23 19:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8801: Remove 'Delete all items' menu entry (2.55 KB, patch)
2012-10-11 07:10 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 8801: Remove 'Delete all items' menu entry (4.81 KB, patch)
2012-10-29 12:46 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2012-09-21 13:22:58 UTC
Will add a link in 'Edit' menu to go directly to batch deletion of items.
Comment 1 Julian Maurice 2012-09-21 13:24:42 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-09-23 19:28:26 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2012-10-10 15:10:24 UTC
QA comment
 * tiny patch (almost template-only) that adds a feature with no side-effect risk
 * passes koha-qa.pl

Passed QA
Comment 4 Paul Poulain 2012-10-10 15:10:50 UTC
Patch pushed to master
Comment 5 Paul Poulain 2012-10-10 15:12:00 UTC
Side question= is the "delete all items" still needed in the "Edit" button ? (I suspect no)
Comment 6 Nicole C. Engard 2012-10-10 20:07:55 UTC
I think we only need one or the other ... not both.

Nicole
Comment 7 Julian Maurice 2012-10-11 07:10:26 UTC Comment hidden (obsolete)
Comment 8 Julian Maurice 2012-10-11 07:11:18 UTC
Comment on attachment 12459 [details] [review]
[SIGNED-OFF] Bug 8801: Add menu entry to delete items in batch

First patch obsoleted as it's already in master
Comment 9 Paul Poulain 2012-10-12 09:57:17 UTC
QA comment:
Julian, this patch is not enough : if the link is removed, the feature must be removed as well (everything related to delallitems in additem.pl I think)
Comment 10 Julian Maurice 2012-10-29 12:46:37 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2012-10-29 12:54:00 UTC
Hm, has someone compared how many clicks it takes to delete a record with more than one item between the old and the new way of doing things?
Comment 12 Katrin Fischer 2012-10-29 12:58:18 UTC
There is something about this change that I don't like, I am trying to figure it out. Another reason I have come up with is permissions. Batch item delete is a mighty feature I might not want to give every staff member permission to use. While deleting items and records is something a lot of people might be allowed to do depending on the edit items and cataloging permissions.
Comment 13 Chris Cormack 2012-10-29 18:58:03 UTC
(In reply to comment #12)
> There is something about this change that I don't like, I am trying to
> figure it out. Another reason I have come up with is permissions. Batch item
> delete is a mighty feature I might not want to give every staff member
> permission to use. While deleting items and records is something a lot of
> people might be allowed to do depending on the edit items and cataloging
> permissions.

I agree, I might want to just delete all items from a record, I dont want to have to go and batch delete it, im already on the record :)
Comment 14 Julian Maurice 2012-10-30 09:03:44 UTC
So if I resume:

Paul and Nicole think one link is better than two.
Katrin and Chris wants to keep the "delete all items"

Anyone else ? :-)
Paul and Nicole, what do you think after reading Katrin and Chris comments?
Comment 15 Owen Leonard 2012-10-31 14:54:22 UTC
(In reply to comment #13)
> I agree, I might want to just delete all items from a record, I dont want to
> have to go and batch delete it, im already on the record :)

I second this. The immediacy of the "delete all items" option is useful and familiar to current users.
Comment 16 Nicole C. Engard 2012-10-31 15:16:52 UTC
I figured my opinion doesn't matter as much as the opinion of the librarians so I solicited some feedback. Here's the first answer I got:

--------

Hi, Nicole--

I use "Delete all items" (from the "Edit" menu on a record) all the time when weeding. When looking at the details for a record, I can verify the barcode(s), verify that I have the correct item(s), and then it's just easy enough to click through everything to delete all items and the bib record, but without being *too* easy!:)

I would absolutely hate to have to move off of the record to go into a Batch Item Deletion for weeding--I would have to verify that I'm deleting the correct items all over again, and go into an area in the catalog that is not needed for normal cataloging & technical services operations.

Also, frankly, we don't find Batch Item Deletion useful for weeding or much of anything else--we never use it. The search interface is cludgy, compared to just tweeping a barcode in the Advanced Search screen (where one can select the barcode index), or just searching for the title if the entire title and all its items are being weeded. If certain items are being weeded off of a title, we think this should be done very carefully, and is best done via the Edit Items function off of the record where we can see all the items, and use the "find" function of the browser with our barcode reader to locate the correct item for deletion, which is very fast--but not *too* fast! It's just, "tweep!" "click" (then the next item on the title, etc.)

Chris Cormack's comment, "I agree, I might want to just delete all items from a record, I dont want to have to go and batch delete it, im already on the record :)" is right on the money, IMO.

If people really want to go to Batch Item Deletion from the record display in the staff client, it's just three clicks away ("More," "Tools," "Batch item deletion"). If people really like to have it handy, they can just have a tab in their browser opened to it, no?

I really, really hope that everything is either left as is, or one will be able to choose to reveal a link to Batch Item Deletion in the "Edit" menu--or not--in the Koha Administration.

Thanks,
heather

P.S. Feel free to share my comments on the Bugzilla or anywhere. Thanks!
Comment 17 Julian Maurice 2012-10-31 16:11:38 UTC
So, everyone agree that we could just obsolete the two previous patches and reset bug status to pushed to master, leaving the two menu entries 'Delete all items' and 'Delete items in batch' ?
Comment 18 Nicole C. Engard 2012-10-31 16:40:12 UTC
Another comment from a librarian using Koha: 

"I agree. When there is a ‘’delete items in  batch’’ button, we do not need ‘’delete all items’’ option any more."
Comment 19 Nicole C. Engard 2012-10-31 16:40:50 UTC
And another:

" I think only one button is necessary."
Comment 20 Nicole C. Engard 2012-10-31 20:36:15 UTC
Another:

I agree with keeping both buttons.  There is a time and place for both depending on the permissions of the people needing those buttons and the task at hand.  Those needing to use these buttons will not find them confusing.  If functionality is already there and working well, why remove it and force users to use features not intuitive to their task.  My vote is to keep the two buttons.  Thanks for listening.

Cathi Wiggins
Arcadia Public Library
Comment 21 SJeffery 2012-10-31 20:43:28 UTC
We would prefer to keep the existing "delete all items" button as it is still more efficient to use than the batch delete function.
Comment 22 Nicole C. Engard 2012-10-31 20:49:04 UTC
"I second everything Cathi wrote.

Catherine Callegari, Director"
Comment 23 Nicole C. Engard 2012-10-31 20:49:19 UTC
"We agree that keeping both buttons is the best option."
Comment 24 Nicole C. Engard 2012-10-31 20:50:05 UTC
(In reply to comment #17)
> So, everyone agree that we could just obsolete the two previous patches and
> reset bug status to pushed to master, leaving the two menu entries 'Delete
> all items' and 'Delete items in batch' ?

It does look that way - most people using it seem to prefer to keep both of them.

Nicole
Comment 25 Julian Maurice 2012-11-02 10:14:31 UTC
Patch obsoleted, reset status to Pushed to master